-- Redirect Uri [authUri]
create table "APP"."REDIRECT_URI" (
   "OID"  integer  not null,
   "URL"  varchar(255),
  primary key ("OID")
);


-- Code [authCod]
alter table "APP"."CODE"  add column  "AUTHENTICATION"  varchar(255);
alter table "APP"."CODE"  add column  "AUTHENTICATIONBLOB"  blob;


-- RefreshToken_Application [authRft_Apl]
alter table "APP"."REFRESH_TOKEN"  add column  "APPLICATION_APP_ID"  varchar(255);
alter table "APP"."REFRESH_TOKEN"   add constraint FK_REFRESH_TOKEN_APPLICATION foreign key ("APPLICATION_APP_ID") references "APP"."APPLICATION" ("APP_ID");


-- RefreshToken_Identity [authRft_Idy]
alter table "APP"."REFRESH_TOKEN"  add column  "IDENTITY_USER_ID"  varchar(255);
alter table "APP"."REFRESH_TOKEN"   add constraint FK_REFRESH_TOKEN_IDENTITY foreign key ("IDENTITY_USER_ID") references "APP"."IDENTITY" ("USER_ID");


-- RedirectUri_Application [authUri_Apl]
alter table "APP"."REDIRECT_URI"  add column  "APPLICATION_APP_ID"  varchar(255);
alter table "APP"."REDIRECT_URI"   add constraint FK_REDIRECT_URI_APPLICATION foreign key ("APPLICATION_APP_ID") references "APP"."APPLICATION" ("APP_ID");


